# Simplified Gaussian Splatting

This example demonstrates a simplified implementation of 2D Gaussian Splatting for educational purposes. It provides a more accessible way to understand the core concepts behind the Gaussian Splatting technique for neural rendering.

## Overview

3D Gaussian Splatting is a novel approach to neural rendering that represents scenes using a collection of 3D Gaussians. This simplified 2D implementation focuses on the fundamental aspects of the technique for readability and ease of understanding.

This example outputs frames to 'tev', similar to other examples.

For an in-depth explanation of the code in this example, refer to the [Neural Graphics in an Afternoon blog post](https://shader-slang.org/blog/2025/04/04/neural-gfx-in-an-afternoon/)

## Output Example
![Output visualization](simple-splat-ex.png)

## References

- ["3D Gaussian Splatting for Real-Time Radiance Field Rendering"](https://repo-sam.inria.fr/fungraph/3d-gaussian-splatting/) 
- ["Adam: A Method for Stochastic Optimization"](https://arxiv.org/abs/1412.6980)
